Summary:  3D desktop effects tools
Name:     drak3d
Version:  2.8
Release:  %mkrel 3
Source0:  https://gitweb.mageia.org/software/drak3d/snapshot/%{name}-%{version}.tar.xz
License:  GPLv2+
Group:    System/Configuration
URL:      https://www.mageia.org

BuildRequires: perl_checker
BuildRequires: gettext
BuildRequires: intltool

Requires: drakxtools-backend
# we need the common pam usermode config files
Requires: usermode-consoleonly
Requires: glxinfo

BuildArch: noarch

%description
Drak3d enables to configure 3D desktop effects.

%package -n lib%{name}
Summary: 3D desktop effects tools library
Group: System/Configuration
Requires: drakxtools-backend

%description -n lib%{name}
This package contains the %{_vendor} drak3d library.

%prep
%autosetup

%build
%make_build

%install
%make_install

%find_lang %{name}

%files -n lib%{name}
%{_prefix}/lib/libDrakX/Xconfig/glx.pm

%files -f %{name}.lang
%doc COPYING
%{_bindir}/drak3d
%{_libexecdir}/drak3d
%{_datadir}/polkit-1/actions/org.mageia.drak3d.policy
%{_prefix}/lib/libDrakX/icons/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.8-3.mga10
+ Revision: 2212320
- Mageia 10 Mass Rebuild

* Tue Mar 29 2022 umeabot <umeabot> 2.8-2.mga9
+ Revision: 1832292
- Mageia 9 Mass Rebuild

* Wed Feb 17 2021 tmb <tmb> 2.8-1.mga8
+ Revision: 1675561
- translation updates

* Mon Jan 04 2021 neoclust <neoclust> 2.7-3.mga8
+ Revision: 1668769
- Update translations

* Sat Feb 15 2020 umeabot <umeabot> 2.7-2.mga8
+ Revision: 1526486
- Mageia 8 Mass Rebuild

* Mon May 20 2019 tmb <tmb> 2.7-1.mga7
+ Revision: 1398629
- translation updates

* Tue Sep 18 2018 umeabot <umeabot> 2.6-2.mga7
+ Revision: 1261669
- Mageia 7 Mass Rebuild

* Mon Jun 05 2017 akien <akien> 2.6-1.mga6
+ Revision: 1106949
- Version 2.6, translation updates
- Drop old mdv2008 conflicts

* Mon Mar 13 2017 akien <akien> 2.5-1.mga6
+ Revision: 1092398
- Version 2.5

* Sun Sep 18 2016 tv <tv> 2.4-2.mga6
+ Revision: 1053603
- BR perl-MDK-Common-devel -> perl_checker

* Fri Mar 25 2016 ennael <ennael> 2.4-1.mga6
+ Revision: 995269
- New design (Animtim)

* Tue Feb 09 2016 umeabot <umeabot> 2.3-3.mga6
+ Revision: 952717
- Mageia 6 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 2.3-2.mga6
+ Revision: 930508
- Mageia 6 Mass Rebuild

* Mon May 18 2015 tv <tv> 2.3-1.mga5
+ Revision: 822247
- translations updates

* Fri Jan 02 2015 tv <tv> 2.2-1.mga5
+ Revision: 808075
- translations updates

* Wed Oct 15 2014 umeabot <umeabot> 2.1-4.mga5
+ Revision: 751126
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1-3.mga5
+ Revision: 678831
- Mageia 5 Mass Rebuild

* Sun Jan 26 2014 colin <colin> 2.1-2.mga4
+ Revision: 568247
- Drop the wmsession. It doesn't seem to work these days mga#12338

* Sat Jan 25 2014 colin <colin> 2.1-1.mga4
+ Revision: 568172
- Avoid double fork problems mga#11184 mga#12364

* Mon Jan 06 2014 tv <tv> 2.0-4.mga4
+ Revision: 565161
- split perl modules (debloat, mga#8455)

* Mon Dec 16 2013 luigiwalser <luigiwalser> 2.0-3.mga4
+ Revision: 557930
- revert previous change which broke startx

* Wed Dec 11 2013 neoclust <neoclust> 2.0-2.mga4
+ Revision: 556380
- Try to fix lightdm issue by renaming wmsession.d file

* Thu Nov 28 2013 tv <tv> 2.0-1.mga4
+ Revision: 553962
- switch to gtk3
- updated translations

* Sun Nov 17 2013 colin <colin> 1.35-1.mga4
+ Revision: 551661
- New version: 1.35

* Tue Oct 22 2013 umeabot <umeabot> 1.34-2.mga4
+ Revision: 541562
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 colin <colin> 1.34-1.mga4
+ Revision: 496202
- New version: 1.34

* Mon Oct 07 2013 colin <colin> 1.33-1.mga4
+ Revision: 492479
- New version: 1.33
  o Convert to polkit for authorisation

* Sat Apr 27 2013 ennael <ennael> 1.32-4.mga3
+ Revision: 411458
- add glxinfo require (#9879)

* Wed Jan 23 2013 fwang <fwang> 1.32-3.mga3
+ Revision: 391242
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 1.32-2.mga3
+ Revision: 349083
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 12 2012 julien <julien> 1.32-1.mga2
+ Revision: 208018
- new version 1.32  which fix broken translation (thanks to Jaromír Cápík)

* Sun Feb 05 2012 julien <julien> 1.31-1.mga2
+ Revision: 204724
- update to version 1.31 (fix for compiz-fusion, hide metisse)
- clean specfile a bit

* Mon Feb 07 2011 dmorgan <dmorgan> 1.30-1.mga1
+ Revision: 48814
- New version
  Adapt for mageia
+ ennael <ennael>
- imported package drak3d


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.29-2mdv2011.0
+ Revision: 604814
- rebuild

* Wed May 26 2010 Anne Nicolas <ennael@mandriva.org> 1.29-1mdv2010.1
+ Revision: 546166
- update translations

* Wed Feb 03 2010 Thierry Vignaud <tv@mandriva.org> 1.28-1mdv2010.1
+ Revision: 499976
- install glxinfo instead of mesa-demos

* Thu Oct 15 2009 Olivier Blin <oblin@mandriva.com> 1.27-1mdv2010.0
+ Revision: 457581
- 1.27
- allow to detect installed 3D compositing_types (for finish-install)

* Wed Oct 14 2009 Olivier Blin <oblin@mandriva.com> 1.26-1mdv2010.0
+ Revision: 457245
- 1.26
- show compiz choice before metisse
- drop Xgl support

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.25.2-2mdv2010.0
+ Revision: 413376
- rebuild

* Tue Apr 21 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.25.2-1mdv2009.1
+ Revision: 368564
- 1.25.2:
- don't blacklist vbox video driver anymore since vbox 2.2 supports 3D accel

* Wed Apr 15 2009 Thierry Vignaud <tv@mandriva.org> 1.25.1-1mdv2009.1
+ Revision: 367397
- translation updates

* Mon Mar 30 2009 Thierry Vignaud <tv@mandriva.org> 1.25-1mdv2009.1
+ Revision: 362308
- translation updates

* Fri Nov 14 2008 Olivier Blin <oblin@mandriva.com> 1.24-1mdv2009.1
+ Revision: 303161
- 1.24
- allow to show only installed WMs in interactive mode
  (for finish-install)

* Thu Nov 13 2008 Olivier Blin <oblin@mandriva.com> 1.23-1mdv2009.1
+ Revision: 302715
- 1.23
- add --force option to force 3D desktop enabling even if not supported

* Wed Nov 12 2008 Olivier Blin <oblin@mandriva.com> 1.22-1mdv2009.1
+ Revision: 302549
- 1.22
- check if system supports command line options before applying them
- blacklist geode driver

* Wed Nov 12 2008 Olivier Blin <oblin@mandriva.com> 1.21-1mdv2009.1
+ Revision: 302520
- 1.21
- do not die in automatic mode if there is no control terminal

* Fri Nov 07 2008 Olivier Blin <oblin@mandriva.com> 1.20-1mdv2009.1
+ Revision: 300391
- 1.20
- set gstreamer videosink to ximagesink when using 3D desktop
  (based on patch from Caio Begotti, #25572)
- add --auto/--method=<method>/--wm=<wm> command line options

* Tue Sep 30 2008 Thierry Vignaud <tv@mandriva.org> 1.19-1mdv2009.0
+ Revision: 290094
- translation updates

* Wed Sep 17 2008 Olivier Blin <oblin@mandriva.com> 1.18-1mdv2009.0
+ Revision: 285514
- 1.18
- new icons

* Wed Sep 03 2008 Olivier Blin <oblin@mandriva.com> 1.17-1mdv2009.0
+ Revision: 279780
- 1.17
- KDE4 support

* Tue Aug 05 2008 Olivier Blin <oblin@mandriva.com> 1.16-1mdv2009.0
+ Revision: 264007
- 1.16
- blacklist openchrome: it doesn't actually support compiz yet
  (from Adam Williamson, #38379)

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.15-2mdv2009.0
+ Revision: 220682
- rebuild

* Thu Apr 03 2008 Thierry Vignaud <tv@mandriva.org> 1.15-1mdv2008.1
+ Revision: 192160
- translation updates

* Tue Mar 25 2008 Thierry Vignaud <tv@mandriva.org> 1.14-1mdv2008.1
+ Revision: 190114
- translation updates

* Thu Feb 14 2008 Anssi Hannula <anssi@mandriva.org> 1.13-1mdv2008.1
+ Revision: 168660
- 1.13
  o drop fglrx from blacklist, glxinfo hang has been fixed

* Mon Feb 11 2008 Olivier Blin <oblin@mandriva.com> 1.12-2mdv2008.1
+ Revision: 165471
- do not run update-menus without menu file (thanks rpmlint)
- 1.12
- blacklist fglrx driver (it makes glxinfo hang, #37269)

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 1.11-2mdv2008.1
+ Revision: 149213
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 05 2007 Olivier Blin <oblin@mandriva.com> 1.11-1mdv2008.0
+ Revision: 95608
- 1.11
- blacklist vesa driver

* Thu Oct 04 2007 Olivier Blin <oblin@mandriva.com> 1.10-1mdv2008.0
+ Revision: 95453
- 1.10
- blacklist vboxvideo driver

* Wed Oct 03 2007 Thierry Vignaud <tv@mandriva.org> 1.9-1mdv2008.0
+ Revision: 95035
- updated translation
- updated translation

* Sat Sep 29 2007 Olivier Blin <oblin@mandriva.com> 1.8-1mdv2008.0
+ Revision: 93906
- 1.8
- blacklist cards using mga driver when detecting 3D capabilities (#33985)

* Thu Sep 27 2007 Thierry Vignaud <tv@mandriva.org> 1.7-1mdv2008.0
+ Revision: 93285
- updated translation
- updated translations

* Wed Sep 12 2007 Andreas Hasenack <andreas@mandriva.com> 1.5-3mdv2008.0
+ Revision: 84826
- use new common pam config files for usermode/consolehelper

* Wed Aug 29 2007 Andreas Hasenack <andreas@mandriva.com> 1.5-2mdv2008.0
+ Revision: 74706
- allow authenticated console user to run drak3d as root

* Thu Aug 09 2007 Olivier Blin <oblin@mandriva.com> 1.5-1mdv2008.0
+ Revision: 60806
- 1.5: use Compiz Fusion as label for 3D cube desktop

* Wed Aug 08 2007 Olivier Blin <oblin@mandriva.com> 1.4-1mdv2008.0
+ Revision: 60451
- 1.4: use Compiz Fusion instead of compiz and beryl

* Fri Jun 08 2007 Thierry Vignaud <tv@mandriva.org> 1.3-1mdv2008.0
+ Revision: 37055
- first release after SVN recover


* Sat Mar 31 2007 Olivier Blin <oblin@mandriva.com> 1.2-1mdv2007.1
+ Revision: 150099
- 1.2: install aquamarine for KDE and heliodor for Gnome when beryl is selected

* Thu Mar 29 2007 Olivier Blin <oblin@mandriva.com> 1.1-1mdv2007.1
+ Revision: 149282
- 1.1: fix server selection

* Fri Mar 23 2007 Olivier Blin <oblin@mandriva.com> 1.0-1mdv2007.1
+ Revision: 148673
- 1.0
- update URL

* Sat Mar 10 2007 Olivier Blin <oblin@mandriva.com> 0.9-2mdv2007.1
+ Revision: 140950
- disable warnings (by not forgetting to run make like Titi did :-p)

* Wed Mar 07 2007 Olivier Blin <oblin@mandriva.com> 0.9-1mdv2007.1
+ Revision: 134817
- 0.9 (compiz-decorator-kde support and UI fixes)

* Tue Mar 06 2007 Olivier Blin <oblin@mandriva.com> 0.8-1mdv2007.1
+ Revision: 133848
- 0.8

* Fri Mar 02 2007 Olivier Blin <oblin@mandriva.com> 0.7-2mdv2007.1
+ Revision: 131085
- fix group (#29046)

* Wed Feb 28 2007 Olivier Blin <oblin@mandriva.com> 0.7-1mdv2007.1
+ Revision: 129307
- 0.7
- cosmetics

* Fri Jan 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.6-2mdv2007.1
+ Revision: 110908
- relax requires on drakxtools; we don't need gtk+ and the like

* Fri Jan 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.6-1mdv2007.1
+ Revision: 110898
- do use translations

* Fri Jan 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.5-1mdv2007.1
+ Revision: 110740
- drak3d is splited in its own package
- add buildrequires
- Import drak3d

